Bug 972360 - linuxbridge config contains value without option
Summary: linuxbridge config contains value without option
Status: CLOSED DUPLICATE of bug 962385
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: Gary Kotton
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-08 20:47 UTC by Jaroslav Henner
Modified: 2016-04-26 14:44 UTC (History)
4 users (show)

Fixed In Version: openstack-quantum-2013.1.2-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 972359
Environment:
Last Closed: 2013-06-19 19:41:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 972359 None None None Never

Description Jaroslav Henner 2013-06-08 20:47:33 UTC
+++ This bug was initially created as a clone of Bug #972359 +++

Description of problem:
quantum fails and there is nothing in the log

if there is 
[SECURITYGROUP]
# Firewall driver for realizing quantum security group function
quantum.agent.linux.iptables_firewall.IptablesFirewallDriver

in the /etc/quantum/plugin.ini, then quantum doesn't start and doesn't output anything to server.log


Version-Release number of selected component (if applicable):
openstack-quantum-2013.1.1-10.el6ost.noarch
openstack-quantum-linuxbridge-2013.1.1-10.el6ost.noarch


How reproducible:
always


Steps to Reproduce:
1. install quantum ... linuxbridge


Actual results:
config grammatically invalid

Expected results:
config valid

Additional info:

Comment 3 Jaroslav Henner 2013-06-13 14:05:12 UTC
# grep -C3 firewall /etc/quantum/plugins/linuxbridge/linuxbridge_conf.ini 

[SECURITYGROUP]
# Firewall driver for realizing quantum security group function
firewall_driver = quantum.agent.linux.iptables_firewall.IptablesFirewallDriver
# rpm -q openstack-quantum
openstack-quantum-2013.1.2-3.el6ost.noarch

Fixed

Comment 4 Perry Myers 2013-06-19 19:41:18 UTC

*** This bug has been marked as a duplicate of bug 962385 ***


Note You need to log in before you can comment on or make changes to this bug.